Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/19458/?format=api
{ "ob_id": 19458, "uuid": "8de1173e90fb4d8b8b85f790f923c77c", "title": "MRF A754 ACTO flight: Airborne atmospheric and chemistry measurements taken on board the Met Office C-130 Hercules aircraft", "abstract": "The Meteorological Research Flight (MRF) was a Met Office facility, which flew a well-instrumented C-130 Hercules aircraft for atmospheric research purposes.\r\n\r\nThis dataset contains airborne atmospheric and chemistry measurements taken on board the Met Office C-130 Hercules aircraft flight A754 for the Atmospheric Chemistry and Transport of Ozone in the upper troposphere-lower stratosphere (UTLS) (ACTO) campaign. The flight was located over the North Atlantic.\r\n\r\nThe objective of this flight was to investigate the chemistry and physics of uplifted air, contrasting air masses in the upper troposphere and lower stratosphere. The flight was just under six hours in duration.\r\n\r\nMost instrumentation ran well throughout the flight, in particular the carbon monoxide instrument was operational for the first time during the campaign. \r\n\r\nThree hours and 30 minutes into the flight a PFC fire extinguisher was discharged in the rear van. After investigation, by the load master and the flight leader, a decision was made not to evacuate the van or initiate a smoke and fumes incident. There is some concern that bottle samples taken during the flight may be contaminated.\r\n\r\nThe mission scientists were pleased with the flight: we intercepted a northerly conveyor belt with uplifted Mediterranean air. We were able to do runs parallel with the filaments both to the north and south of the gradient. Throughout the flight the clouds and haze were exactly as expected from the satellite pictures and met. forecasts.", "keywords": "UTLS, ACTO, Chemistry, temperature, pressure, wind", "publicationState": "published", "dataPublishedTime": "2006-12-10T03:09:18", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/19544/?format=api", "dataPath": "/badc/ukmo-mrf/data/a754", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 100397101, "numberOfFiles": 25, "fileFormat": "Data are ASCII formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5107/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1633/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/79823/?format=api" ], "dataLineage": "Data collected by instruments on-board the MRF C-130 during flight A754. Data acquired by BADC for archiving during the ACTO project.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14435/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/431/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/2322/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73509/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73505/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73506/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73507/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73508/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73510/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73511/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73512/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73513/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73514/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73515/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73516/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73517/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73518/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73519/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73520/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73521/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/73522/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/19459/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }